#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Digest
%define		pnam	Elf
Summary:	Digest::Elf - implementation of the ElfHash algorithm
Summary(pl.UTF-8):	Digest::Elf - implementacja algorytmu ElfHash
Name:		perl-Digest-Elf
Version:	1.4
Release:	18
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59e6737aae2f9efd1a8af8bc8655f575
URL:		http://search.cpan.org/dist/Digest-Elf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Elf Perl module provides an implimentation of the ElfHash
algorithm.  ElfHash generates resonably unique values from a string in
a reasonably short period of time.  The actual algorith is culled from
a Dr. Dobbs Journal article, they culled it probably from the source
for the GNU C complier.

%description -l pl.UTF-8
Moduł Perla Digest::Elf jest implementacją algorytmu ElfHash. Algorytm
ten generuje w miarę unikalne wartości dla łańcuchów znaków w
przyzwoitym czasie. Właściwy algorytm jest ściągnięty z artykułu z Dr.
Dobbs Journal, gdzie został ściągnięty prawdopodobnie ze źródeł
kompilatora C z GNU.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/Elf.pm
%dir %{perl_vendorarch}/auto/Digest/Elf
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Elf/Elf.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-Elf.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 35eb710
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 0dc7091
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 75a0139
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> da82177
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 345dc21
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9d2081f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> bbdd593
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> ad47098
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d0bb8c0
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 76db3da
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 30b868a
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f6e6f42
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 25d9fcc
- x32 rebuild
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 25fb143
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1df7e12
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 50611fb
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1f1a1bc
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c073d44
- release 3

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 3319fae
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f6b85a
- rel 2

